## com.sun.org.apache.commons.logging.impl
Class NoOpLog

    java.lang.Object
      com.sun.org.apache.commons.logging.impl.NoOpLog

All Implemented Interfaces:
  Log

    public class NoOpLog

extends Object
implements Log

Constructor Summary
`NoOpLog()`

Method Summary
`void` `debug(Object message)`
`void` `debug(Object message, Throwable t)`
`void` `error(Object message)`
`void` `error(Object message, Throwable cause)`
`void` `fatal(Object message)`
`void` `fatal(Object message, Throwable t)`
`void` `info(Object message)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isTraceEnabled()`
`boolean` `isWarnEnabled()`
`void` `trace(Object message)`
`void` `warn(Object message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoOpLog

    public NoOpLog()

Method Detail

### fatal

    public void fatal(Object message)

  Specified by:
    `fatal` in interface `Log`
  See Also:
    `Log.fatal(java.lang.Object)`

### fatal

    public void fatal(Object message,
                      Throwable t)

  Specified by:
    `fatal` in interface `Log`
  See Also:
    `Log.fatal(java.lang.Object, java.lang.Throwable)`

### debug

    public void debug(Object message)

  Specified by:
    `debug` in interface `Log`
  See Also:
    `Log.debug(java.lang.Object)`

### debug

    public void debug(Object message,
                      Throwable t)

  Specified by:
    `debug` in interface `Log`
  See Also:
    `Log.debug(java.lang.Object, java.lang.Throwable)`

### trace

    public void trace(Object message)

  Specified by:
    `trace` in interface `Log`
  See Also:
    `Log.trace(java.lang.Object)`

### info

    public void info(Object message)

  Specified by:
    `info` in interface `Log`
  See Also:
    `Log.info(java.lang.Object)`

### error

    public void error(Object message)

  Specified by:
    `error` in interface `Log`
  See Also:
    `Log.error(java.lang.Object)`

### error

    public void error(Object message,
                      Throwable cause)

  Specified by:
    `error` in interface `Log`
  See Also:
    `Log.error(java.lang.Object, java.lang.Throwable)`

### warn

    public void warn(Object message)

  Specified by:
    `warn` in interface `Log`
  See Also:
    `Log.warn(java.lang.Object)`

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `Log`
  See Also:
    `Log.isDebugEnabled()`

### isWarnEnabled

    public boolean isWarnEnabled()

  Specified by:
    `isWarnEnabled` in interface `Log`
  See Also:
    `Log.isWarnEnabled()`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `Log`
  See Also:
    `Log.isInfoEnabled()`

### isErrorEnabled

    public boolean isErrorEnabled()

  Specified by:
    `isErrorEnabled` in interface `Log`
  See Also:
    `Log.isErrorEnabled()`

### isTraceEnabled

    public boolean isTraceEnabled()

  Specified by:
    `isTraceEnabled` in interface `Log`
  See Also:
    `Log.isTraceEnabled()`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.